> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/mutations/subscriptioncreate.md).

# subscriptionCreate

Create a paid or trial subscription

**Scope required:** standard:write

For a complete list of input attributes see the [SubscriptionAttributes](/developer/api-reference/types/subscriptionattributes.md) type

```graphql
mutation subscriptionCreate ($attributes: SubscriptionAttributes!, $billingDay: Int!) {
  subscriptionCreate (attributes: $attributes, billingDay: $billingDay) {
      errors
      subscription {
        accountId
        cancellationDate
        createdAt
        currencyId
        currentPeriod
        customFieldsData
        daysLeftInTrial
        endDate
        evergreen
        hasCustomFields
        id
        licenseKey
        name
        period
        priceAdjustmentAllowed
        priceAdjustmentLastDate
        priceAdjustmentPercentage
        priceListId
        provisioningRequired
        rampIntervalMonths
        renewalSummary
        renewalTermMonths
        startDate
        trialEndDate
        trialPeriod
        trialStartDate
        updatedAt
      }
  }
}
```

## Arguments

```json
{
  "attributes": {
    "accountId": "456123",
    "accountCode": "",
    "account": {
      "code": "",
      "accountTypeId": "456123",
      "industryId": "456123",
      "employees": 123,
      "annualRevenue": 123,
      "name": "",
      "billingStreet": "",
      "billingCity": "",
      "billingState": "",
      "billingZip": "",
      "billingCountry": "",
      "billingContactId": "456123",
      "billingContact": {
        "code": "",
        "firstName": "",
        "lastName": "",
        "email": "",
        "salutation": "",
        "title": "",
        "phone": "",
        "mobile": "",
        "mailingStreet": "",
        "mailingCity": "",
        "mailingZip": "",
        "mailingState": "",
        "mailingCountry": "",
        "portalAccess": true,
        "description": "",
        "accountId": "456123",
        "accountCode": "",
        "campaignCode": "",
        "linkedinUrl": ""
      },
      "shippingStreet": "",
      "shippingCity": "",
      "shippingState": "",
      "shippingZip": "",
      "shippingCountry": "",
      "description": "",
      "phone": "",
      "fax": "",
      "website": "",
      "currencyId": "456123",
      "taxNumber": "",
      "groupId": "456123",
      "netPaymentDays": 123,
      "draftInvoices": true,
      "newQuoteBuilder": true,
      "duns": "",
      "timezone": "",
      "ownerUserId": "456123",
      "ipAddress": "",
      "entityUseCode": "",
      "linkedinUrl": "",
      "invoiceTemplateId": "456123",
      "entityId": "456123",
      "secondaryBillingContactIds": [
        "456123"
      ],
      "emailsEnabled": true,
      "disableDunning": true,
      "consolidatedBilling": true,
      "parentAccountId": "456123",
      "invoicedAccountId": "456123",
      "payingAccountId": "456123"
    },
    "priceListCode": "",
    "priceListId": "456123",
    "priceListCharges": [
      {
        "id": "456123",
        "name": "",
        "code": "",
        "priceListChargeId": "456123",
        "quantity": 123,
        "discount": "1.00",
        "price": "BigDecimal",
        "subtotal": "BigDecimal",
        "startDate": "2022-06-01",
        "endDate": "2022-06-01",
        "evergreen": true,
        "priceTiers": [
          {
            "starts": 123,
            "price": "BigDecimal"
          }
        ]
      }
    ],
    "discounts": [
      {
        "id": "456123",
        "name": "",
        "code": "",
        "priceListChargeId": "456123",
        "quantity": 123,
        "discount": "1.00",
        "price": "BigDecimal",
        "subtotal": "BigDecimal",
        "startDate": "2022-06-01",
        "endDate": "2022-06-01",
        "evergreen": true,
        "priceTiers": [
          {
            "starts": 123,
            "price": "BigDecimal"
          }
        ]
      }
    ],
    "platformId": "456123",
    "platformCode": "",
    "tenantCode": "",
    "tenantName": "",
    "tenant": {
      "name": "",
      "code": "",
      "subdomain": "",
      "tenantUuid": "",
      "accountId": "456123",
      "platformId": "456123",
      "platformCode": "",
      "lastLogin": "2022-06-01T00:00:00Z"
    },
    "startDate": "2022-06-01",
    "endDate": "2022-06-01",
    "trial": true,
    "trialStartDate": "2022-06-01",
    "evergreen": true,
    "renewalTermMonths": 123,
    "priceAdjustmentTiming": "PriceAdjustmentTiming",
    "priceAdjustmentPercentage": "1.00",
    "priceAdjustmentAction": "PriceAdjustmentAction",
    "trialExpirationAction": "TrialExpirationAction"
  },
  "billingDay": 123
}
```

| Name       | Type                                                                               | Description |
| ---------- | ---------------------------------------------------------------------------------- | ----------- |
| attributes | [SubscriptionAttributes](/developer/api-reference/types/subscriptionattributes.md) |             |
| billingDay | Int                                                                                |             |

## Response

| Name         | Type                                                           | Description |
| ------------ | -------------------------------------------------------------- | ----------- |
| errors       | List (String)                                                  |             |
| subscription | [Subscription](/developer/api-reference/types/subscription.md) |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/subscriptioncreate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
